@font-face {
    font-family: "Passion One";
    src: url("/res/fonts/PassionOne-Bold.ttf") format('truetype');
    font-display: swap;
}

@font-face {
    font-family: "Varela Round";
    src: url("/res/fonts/VarelaRound-Regular.ttf") format("truetype");
    font-display: swap;
}

$statusBarHeight: 50px;

@mixin centered($width: fit-content, $height: fit-content) {
    position: absolute;

    top: 0;
    bottom: 0;
    left: 0;
    right: 0;

    height: $width;
    width: $width;

    margin: auto;
}

@mixin textOverflow($overflowStyle: ellipsis) {
    text-overflow: $overflowStyle;
    overflow: hidden;
    white-space: nowrap;
}

@mixin slideWidth($width, $fallback: 0px) {
    &.show {
        @media (pointer: fine) and (min-width: calc(#{$width} + 100px)) {
            width: Max($width, $fallback);
        }

        @media (pointer: coarse), (max-width: calc(#{$width} + 100px)) {
            width: 100%;
        }
    }
}

@mixin statusBar($height, $gap: 10px) {
    width: 100%;
    height: $height;
    box-sizing: border-box;

    border-bottom: 1px solid #828282;
    background: #969595de;
    box-shadow: 0px 0px 20px 5px #989898;

    display: flex;

    > div.flex-left,
    > div.flex-right {
        display: flex;
    }

    > div.flex-left {
        margin-right: auto;

        > ul.status-menu:first-child {
            margin-left: $gap;
        }
    }

    > div.flex-right {
        margin-left: auto;

        > ul.status-menu {
            padding-left: 10px!important;
            border-left: 1px solid #696969;
        }

        > ul.status-menu:last-child {
            margin-right: $gap;
        }
    }

    ul.status-menu {
        width: fit-content;
        display: flex;
        list-style: none;
        padding: 0;
        margin-top: 0;
        margin-bottom: 0;
        gap: $gap;

        > li {
            height: $height;

            &.status-menu-action {
                height: calc(#{$height} - 1px);

                &:hover {
                    background: #e4e4e47a;
                    cursor: pointer;

                    box-shadow: 0px 0px 3px 0px #6f6f6fab;
                }
            }
        }
    }
}

@mixin flexCenter {
    display: flex;
    justify-content: center;
    align-items: center;
}